Bug 63612 - After upgrading kernel, unresolved symbol relinking the kernel
After upgrading kernel, unresolved symbol relinking the kernel
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-04-16 05:18 EDT by Giox
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Giox 2002-04-16 05:18:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
On my Linux box with RedHat 6.2 (kernel 2.2.14-5.0) I have upgraded the kernel
(2.2.19-12). All is OK when i reboot. Then I have modified my kernel
configuration (make menuconfig) and relink the kernel. When I reboot, during the
initialization there are a lot of 'unresolved symbol'

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. On RedHat 6.2 with kernel 2.2.14-5.0 upgrade the kernel

   #  rpm -Uvh kernel-headers-2.2.19-6.2.12.i386.rpm \
   #  rpm -ivh kernel-2.2.19-6.2.12.i386.rpm

I have modified '/etc/lilo.conf'. And then:

       # /etc/lilo -v

When I reboot all function OK.
Now I have tried to modify the kernel:

       # cd /usr/src/linux       
       # cp /usr/src/linux/config/kernel-2.2.19-i386.config . 
       # make menuconfig
       # make dep
       # make bzImage
       # make modules
       # make modules_install
       # cp /usr/src/linux/arch/i386/boot/bzImage \
Modified '/etc/lilo.conf'

      # /etc/lilo -v


Actual Results:  When I reboot during the initialization there are a lot of

         unresolved symbol ......(name of modules).

All the devices the use modules doesn't function (ex. eth0)

Additional info:
Comment 1 Arjan van de Ven 2002-04-16 10:17:56 EDT
make modules_install -> this will install your modules but will not remove
existing ones from the installed kernel with the same version...... and those
will not load since they are for a different kernel hence the unresolved
Comment 2 Giox 2002-04-18 12:39:25 EDT
OK. 'modules_install' install my new modules but doesn't remove the existing
So what I have to do ? Don't execute modules_install or execute another command
Comment 3 Bugzilla owner 2004-09-30 11:39:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.